PRO read_netCDF 

  filename = 'CS20141891717_CLFGCLPR_V1.0.nc'

  ;Open the netCDF file
  fid = NCDF_OPEN( filename, /NOWRITE )

  finq = NCDF_INQUIRE( fid )
  print, 'number of dimensions:',finq.ndims
  print, 'number of variables:',finq.nvars

  ; Dimension id acquisition
  nprof_id = NCDF_DIMID(fid, 'nprof')

  ; Dimension name and size acquisition
  NCDF_DIMINQ, fid, nprof_id, name, nsize
  print, 'nprof_id   :',nprof_id
  print, 'nprof_name :',name
  print, 'nprof_size :',nsize

  ; Get the varid of the data variable, based on its name
  lat_id = NCDF_VARID(fid, 'lat')
  lon_id = NCDF_VARID(fid, 'lon')
  ccl_id = NCDF_VARID(fid, 'ccl')

  ;Read the data
  NCDF_VARGET, fid, lat_id, lat_value
  NCDF_VARGET, fid, lon_id, lon_value
  NCDF_VARGET, fid, ccl_id, ccl_value

  ; Print data
  For nprof_idx=0,4 do begin
    print, 'lat[',nprof_idx,']          :',lat_value[nprof_idx]
    print, 'lon[',nprof_idx,']          :',lon_value[nprof_idx]
    print, 'ccl[',nprof_idx,']          :',ccl_value[nprof_idx]
  Endfor

  NCDF_CLOSE, fid

END

